      subroutine summer
      vector d1(2500)
      vector d2(5000)
      vector d(5000)
      integer ip,op,i,j
      ip=0
      op=0
      do j=1,50
        do i=1,50
          d(op+i)=d1(ip+i)+d2(op+i)
        enddo
        op=op+50
        do i=1,50
          d(op+i)=d2(op+i)
        enddo
        op=op+50
        ip=ip+50
      enddo
      end
